Asmc Macro Assembler Reference

# Data Allocation

<table>
<tr><td><b><a href="byte.md">BYTE</a></b></td><td>byte</td></tr>
<tr><td><b><a href="sbyte.md">SBYTE</a></b></td><td>signed byte</td></tr>
<tr><td><b><a href="word.md">WORD</a></b></td><td>word</td></tr>
<tr><td><b><a href="sword.md">SWORD</a></b></td><td>signed word</td></tr>
<tr><td><b><a href="dword.md">DWORD</a></b></td><td>double word</td></tr>
<tr><td><b><a href="sdword.md">SDWORD</a></b></td><td>signed double word</td></tr>
<tr><td><b><a href="fword.md">FWORD</a></b></td><td>32-bit far pointer</td></tr>
<tr><td><b><a href="qword.md">QWORD</a></b></td><td>quadruple word</td></tr>
<tr><td><b><a href="sqword.md">SQWORD</a></b></td><td>signed quadruple word</td></tr>
<tr><td><b><a href="tbyte.md">TBYTE</a></b></td><td>extended-precision floating-point</td></tr>
<tr><td><b><a href="oword.md">OWORD</a></b></td><td>128-bit unsigned integer</td></tr>
<tr><td><b><a href="soword.md">SOWORD</a></b></td><td>signed 128-bit integer</td></tr>
<tr><td><b><a href="real2.md">REAL2</a></b></td><td>half-precision floating-point</td></tr>
<tr><td><b><a href="real4.md">REAL4</a></b></td><td>single-precision floating-point</td></tr>
<tr><td><b><a href="real8.md">REAL8</a></b></td><td>double-precision floating-point</td></tr>
<tr><td><b><a href="real10.md">REAL10</a></b></td><td>extended-precision floating-point</td></tr>
<tr><td><b><a href="real16.md">REAL16</a></b></td><td>quadruple-precision floating-point</td></tr>
<tr><td><b><a href="mmword.md">MMWORD</a></b></td><td>64-bit multimedia operand</td></tr>
<tr><td><b><a href="xmmword.md">XMMWORD</a></b></td><td>128-bit multimedia operand</td></tr>
<tr><td><b><a href="ymmword.md">YMMWORD</a></b></td><td>256-bit multimedia operand</td></tr>
<tr><td><b><a href="zmmword.md">ZMMWORD</a></b></td><td>512-bit multimedia operand</td></tr>
</table>

### Short Form

<table>
<tr><td><b><a href="db.md">DB</a></b></td><td>byte</td></tr>
<tr><td><b><a href="dw.md">DW</a></b></td><td>word</td></tr>
<tr><td><b><a href="dd.md">DD</a></b></td><td>double word</td></tr>
<tr><td><b><a href="dq.md">DQ</a></b></td><td>quadruple word</td></tr>
<tr><td><b><a href="dt.md">DT</a></b></td><td>extended precision floating-point</td></tr>
<tr><td><b><a href="ymmword.md">YWORD</a></b></td><td>256-bit multimedia operand</td></tr>
<tr><td><b><a href="zmmword.md">ZWORD</a></b></td><td>512-bit multimedia operand</td></tr>
</table>

#### See Also

[Directives Reference](readme.md) | [Code Labels](code-labels.md)
